Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	The basic CCux Linux Configuration files
Name: 		base-config
Version: 	0.9.9
Release: 	3
Epoch:		1
License: 	GPL
Source0:	DIR_COLORS
Source1:	bashrc
Source2:	host.conf
Source3:	inputrc
Source4:	ioctl.save
Source5:	issue
#Source6:	ld.so.conf
#Source7:	modprobe.conf
#Source8:	nsswitch.conf
Source9:	profile
Source10:	resolv.conf
Source11:	shells
Source12:	useradd
Source13:	10lang.sh
Source14:	inputrc.sh
Source16:	dot_bash_logout
Source17:	dot_bash_profile
Source18:	dot_bashrc
Source19:	dot_xinitrc
Source20:	clock
Source21:	console.example
Source22:	createfiles
Source23:	init
Source24:	modules
Source25:	rc
Source26:	release
Source27:	ifdown
Source28:	ifup
Source29:	pppoe
Source30:	static
Group: 		System/Base
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	noarch
Requires(post):  %{_sbindir}/groupadd /etc/group

%description
The basic CCux Linux Configuration files

%post
/usr/sbin/groupadd -g 14 utmp &>/dev/null || : 
/usr/sbin/groupadd -g 104 uucp &>/dev/null || : 


%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/default
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/profile.d
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/skel
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-devices
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-devices/services

install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT%_sysconfdir
#install -m 644 %{SOURCE6} $RPM_BUILD_ROOT%_sysconfdir
#install -m 644 %{SOURCE7} $RPM_BUILD_ROOT%_sysconfdir
#install -m 644 %{SOURCE8} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE9} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE10} $RPM_BUILD_ROOT%_sysconfdir
install -m 644 %{SOURCE11} $RPM_BUILD_ROOT%_sysconfdir
touch $RPM_BUILD_ROOT%_sysconfdir/environment
install -m 644 %{SOURCE12} $RPM_BUILD_ROOT%_sysconfdir/default
install -m 755 %{SOURCE13} $RPM_BUILD_ROOT%_sysconfdir/profile.d
install -m 755 %{SOURCE14} $RPM_BUILD_ROOT%_sysconfdir/profile.d
#install -m 755 %{SOURCE15} $RPM_BUILD_ROOT%_sysconfdir/profile.d
install -m 644 %{SOURCE16} $RPM_BUILD_ROOT%_sysconfdir/skel/.bash_logout
install -m 644 %{SOURCE17} $RPM_BUILD_ROOT%_sysconfdir/skel/.bash_profile
install -m 644 %{SOURCE18} $RPM_BUILD_ROOT%_sysconfdir/skel/.bashrc
install -m 644 %{SOURCE19} $RPM_BUILD_ROOT%_sysconfdir/skel/.xinitrc
install -m 644 %{SOURCE20} $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 644 %{SOURCE21} $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 644 %{SOURCE22} $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 644 %{SOURCE23} $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 644 %{SOURCE24} $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 644 %{SOURCE25} $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 644 %{SOURCE26} $RPM_BUILD_ROOT%_sysconfdir/sysconfig
install -m 755 %{SOURCE27} $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-devices
install -m 755 %{SOURCE28} $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-devices
install -m 755 %{SOURCE29} $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-devices/services
install -m 755 %{SOURCE30} $RPM_BUILD_ROOT%_sysconfdir/sysconfig/network-devices/services

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %_sysconfdir/DIR_COLORS
%config %_sysconfdir/bashrc
%config %_sysconfdir/host.conf
%config %_sysconfdir/inputrc
%config %_sysconfdir/ioctl.save
%config %_sysconfdir/issue
#%config %_sysconfdir/ld.so.conf
#%config(noreplace) %_sysconfdir/modprobe.conf
#%config %_sysconfdir/nsswitch.conf
%config %_sysconfdir/profile
%config(noreplace) %_sysconfdir/resolv.conf
%config %_sysconfdir/shells
%config(noreplace) %_sysconfdir/environment
%dir %_sysconfdir/default
%dir %_sysconfdir/profile.d
%dir %_sysconfdir/skel
%dir %_sysconfdir/sysconfig
%dir %_sysconfdir/sysconfig/network-devices
%dir %_sysconfdir/sysconfig/network-devices/services
%config %_sysconfdir/default/useradd
%config %_sysconfdir/profile.d/10lang.sh
%config %_sysconfdir/profile.d/inputrc.sh
#%config %_sysconfdir/profile.d/mc.sh
%config %_sysconfdir/skel/.bash_logout
%config %_sysconfdir/skel/.bash_profile
%config %_sysconfdir/skel/.bashrc
%config %_sysconfdir/skel/.xinitrc
%config %_sysconfdir/sysconfig/clock
%config %_sysconfdir/sysconfig/console.example
%config(noreplace) %_sysconfdir/sysconfig/createfiles
%config %_sysconfdir/sysconfig/init
%config(noreplace) %_sysconfdir/sysconfig/modules
%config %_sysconfdir/sysconfig/rc
%config %_sysconfdir/sysconfig/release
%_sysconfdir/sysconfig/network-devices/ifdown
%_sysconfdir/sysconfig/network-devices/ifup
%_sysconfdir/sysconfig/network-devices/services/pppoe
%_sysconfdir/sysconfig/network-devices/services/static

%changelog
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-3
- remove modprobe.conf
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-2
- changed group id for utmp to 14
* Fri Jul 25 2008 Christian Metzen <metzench@ccux-linux.de> 1:0.9.9-1
- added correct post require for groupadd
- changed Version scheme to ccux release, should be better to track
* Mon Jan 01 2007 Christian Metzen <metzench@ccux-linux.de> 1.3.5-8
- removed nsswitch.conf and ld.so.conf, now in glibc2.5
* Thu Nov 16 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-7
- profile cleanups, removed old stuff
* Tue Nov 14 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-6
- temp. removed XDG_CONFIG_DIRS in profile
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-5
- small bugfix in profiles
* Sat Nov 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-4
- modified profile settings for gnome
* Fri Oct 20 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-3
- added creation of uucp group
* Sun Oct 15 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-2
- removed conflicting file
* Tue Apr 18 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.5-1
- Modified issue for 0.9.8 release, removed QTDIR from profiles
* Sun Jan 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.4-1
- Added etc/environment, build srpm
* Mon Jul 04 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- Changed Java Path
* Mon May 09 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- Version update to CCux Linux 0.9.7.1
* Mon May 02 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- Version update to CCux Linux 0.9.7
* Mon Mar 20 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.0-1
- Added GNOME Variables
* Wed Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.1.1-3
- Added JRE Default Path / Fixed Bug #0000036